#!/bin/tcsh
#
# Klajd M. Deda
# Get results of PS command
#

# verify arguments
if ($#argv != 1) then
    echo "ERROR:"
    echo "Pass in the storage path"
    exit 0;
endif

set COMMAND = "/bin/ps"
set ARGUMENTS = "-axwww -o pid -o uid -o user -o vsize -o command"
set DATA_FOLDER = "${1}"
set DATA_FILE = "${DATA_FOLDER}/results.txt"
set ERROR_FILE = "${DATA_FOLDER}/errors.txt"

echo ${COMMAND} ${ARGUMENTS} ">" ${DATA_FILE} ">&" ${ERROR_FILE}
(${COMMAND} ${ARGUMENTS} > ${DATA_FILE}) >& ${ERROR_FILE}
exit 1
